{ inputs, withSystem, ... }:
let
  inherit (inputs.self.lib.my) mkSystem;
in
{
  flake.nixosConfigurations = {
    marr = mkSystem {
      inherit withSystem;
      hostname = "marr";
      system = "x86_64-linux";
      extraModules = [ inputs.agenix.nixosModules.default ];
    };

    brontes = mkSystem {
      inherit withSystem;
      hostname = "brontes";
      system = "x86_64-linux";
      extraModules = [ inputs.agenix.nixosModules.default ];
    };

    shan = mkSystem {
      inherit withSystem;
      hostname = "shan";
      system = "x86_64-linux";
      extraModules = [
        inputs.disko.nixosModules.disko
        inputs.agenix.nixosModules.default
      ];
    };

    raptus = mkSystem {
      inherit withSystem;
      hostname = "raptus";
      system = "x86_64-linux";
      extraModules = [
        inputs.disko.nixosModules.disko
        inputs.agenix.nixosModules.default
      ];
    };
  };
}
