{ pkgs, ... }:
{
  users.defaultUserShell = pkgs.fish;

  environment.systemPackages = with pkgs; [
    eza
    bat
  ];

  programs.fish = {
    enable = true;
    shellAbbrs = {
      mkdir = "mkdir --parent";
      cp = "cp -vi";
      mv = "mv -vi";
      rm = "rm -v";
      nrepl = "nix repl --expr 'import <nixpkgs> {}'";
      l = "eza -laa";
      ls = "eza -la";
      ll = "eza -l";
      cat = "bat";
    };
  };
}
