{ lib, ... }:
let
  inherit (lib) foldl' attrValues;
  take = machines: map (m: systems.${m}) machines;

  users = {
    ny = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMvPqWPXEUOSMGMIRmirQfbrzq//NkPlEI2TmFpIkSfw";
  };
  systems = {
    brontes = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICgknH3OPazZNhH5xkYfXBcYpI3TXj/eRp0/zzjtVJBf";
    marr = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILMh2nUUKt3xsKiwZUuo6HgvR3lr7rRAl0SOH/502sFP";
    raptus = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKdpjGR/pV1roktZdKIVVWqds0JB+x1ksfyQmYPMLK7o";
    shan = "";
  };

  workstations = take "brontes" "marr";
  server = take "raptus" "shane";

  all = foldl' (a: b: a ++ [ b ]) [ users.ny ] (attrValues systems);
in
{
  inherit all workstations server;
  inherit (users) ny;
  inherit (users)
    raptus
    brontes
    marr
    shan
    ;
}
