{
  lib,
  inputs',
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkOption mkIf;
  inherit (lib.types) package;
  cfg = config.modules.services.nysh;
in
{
  options.modules.services.nysh = {
    enable = mkEnableOption "nysh";
    package = mkOption {
      type = package;
      default = inputs'.nysh.packages.nysh;
    };
  };

  config = mkIf cfg.enable {
    systemd.user.services.nysh = {
      wantedBy = [
        "multi-user.target"
        "graphical-session.target"
      ];

      unitConfig = {
        After = [ "graphical-session-pre.target" ];
        PartOf = [ "graphical-session.target" ];
      };
      serviceConfig = {
        Type = "simple";
        ExecStart = "/bin/sh -lc ${cfg.package}/bin/nysh";
        Restart = "on-failure";
      };
    };
  };
}
